> ## Documentation Index
> Fetch the complete documentation index at: https://docs.draftt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a specific integration by ID



## OpenAPI

````yaml https://api.draftt.io/swagger get /integration/{integrationId}
openapi: 3.1.0
info:
  title: Draftt API
  version: 0.2.1
servers:
  - url: https://api.draftt.io/v1
security:
  - BearerAuth: []
paths:
  /integration/{integrationId}:
    get:
      tags:
        - Integration
      summary: Retrieve a specific integration by ID
      parameters:
        - name: integrationId
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Integration'
                    minItems: 1
                    maxItems: 1
                  nextToken:
                    type: string
                    enum:
                      - null
                required:
                  - items
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    Integration:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        type:
          type: string
          enum:
            - aws
            - gcp
            - azure
            - k8s-explorer
            - mongodb-atlas
            - redis-cloud
            - github
            - azure-devops
            - port
            - slack
            - artifactory
            - jira
            - microsoftTeams
            - ivanti
            - tanium
        status:
          type: string
          enum:
            - Healthy
            - Partial-Visibility
            - Failed
        details:
          oneOf:
            - type: object
              properties:
                externalId:
                  type: string
                roleArn:
                  type: string
                accountId:
                  type: string
              required:
                - externalId
                - roleArn
                - accountId
              title: aws
              example:
                externalId: abc123
                roleArn: arn:aws:iam::123456789012:role/my-role
                accountId: '123456789012'
            - type: object
              properties:
                subscriptionId:
                  type: string
                tenantId:
                  type: string
                clientId:
                  type: string
              required:
                - subscriptionId
                - tenantId
                - clientId
              title: azure
              example:
                subscriptionId: sub-123
                tenantId: tenant-456
                clientId: client-789
            - type: object
              properties:
                projectId:
                  type: string
              required:
                - projectId
              title: gcp
              example:
                projectId: project-123
            - type: object
              properties:
                clusterId:
                  type: string
                status:
                  type: string
                  enum:
                    - active
                    - inactive
              required:
                - clusterId
                - status
              title: k8s-explorer
              example:
                clusterId: cluster-xyz
                status: active
            - type: object
              properties: {}
              title: mongodb-atlas
              example: {}
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - type
        - status
        - details
        - createdAt
        - updatedAt
      example:
        id: 1
        name: My AWS Integration
        type: aws
        status: Healthy
        details:
          externalId: abc123
          roleArn: arn:aws:iam::123456789012:role/my-role
          accountId: '123456789012'
        createdAt: '2024-12-01T12:00:00.000Z'
        updatedAt: '2024-12-23T12:00:00.000Z'
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - error
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````